Bug 219956 - Review Request: perl-IO-Capture - Abstract Base Class to build modules to capture output
Review Request: perl-IO-Capture - Abstract Base Class to build modules to cap...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-17 13:17 EST by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 10:57:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-12-17 13:17:32 EST
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-IO-Capture.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-IO-Capture-0.05-1.src.rpm

Description:
The IO::Capture Module defines an abstract base class that can be used
to create any number of useful sub-classes that capture output being
sent on a filehandle such as STDOUT or STDERR.

Note: this module will help improving the test coverage of Perl::Critic
(Module::CPANTS::Analyse --> Test::Kawlitee --> Perl::Critic)
Comment 1 Ville Skyttä 2006-12-17 13:36:20 EST
Approved, please just fix the order of arguments to find(1) in %install (-depth
before -type d) before the first build, see spectemplate-perl.spec in rpmdevtools.

$ find /tmp -type d -depth -name foo >/dev/null
find: warning: you have specified the -depth option after a non-option argument
-type, but options are not positional (-depth affects tests specified before it
as well as those specified after it).  Please specify options before other
arguments.

$ find /tmp -depth -type d -name foo >/dev/null
(no warnings)
Comment 2 Jose Pedro Oliveira 2006-12-17 14:46:45 EST
(In reply to comment #1)
> Approved, please just fix the order of arguments to find(1) in %install (-depth
> before -type d) before the first build, see spectemplate-perl.spec in rpmdevtools.

Done.

Packaged imported and built (only devel at the moment). I will close
this ticket as soon as this package gets built for FC-5 and FC-6.

Thanks for the review,
jpo
Comment 3 Jose Pedro Oliveira 2006-12-18 10:57:30 EST
Also built for FC-5 and FC-6.

Note You need to log in before you can comment on or make changes to this bug.